# 22. Virtuoso Functions Guide - dbg_obj_print

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
cov_load
cov_report
cov_store
dbg_obj_print
dbg_printf
explain
pldbg_stats
pldbg_stats_load
trace_off
trace_on
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## dbg_obj_print

print to the Virtuoso system console
dbg_obj_print (in arg1 any, ... );
Parameters

dbg_obj_print takes a variable number of any type.

Return Values

None

Description

dbg_obj_print prints a variable number of arguments onto the system console (stdout) of Virtuoso server, each argument in its own native format, on the same line, which is followed by one newline.

Errors

SQLState | Error Code | Error Text | Description
--- | --- | --- | ---

Examples

    ...
    declare vec any;
    vec := vector ('a', 'b', 'c');
    dbg_obj_print (vec)
    ...

Would output this on the console:

    ("a" "b" "c" )

See Also

dbg_printf